6.0.0-git
2019-05-19

[#14249] catch exception of a recurring event where base event no longer is a recurring event
Summary catch exception of a recurring event where base event no longer is a recurring event
Queue Kronolith
Queue Version 4.2.11
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester michael.menge (at) zdv (dot) uni-tuebingen (dot) de
Created 2016-02-11 (1193 days ago)
Due
Updated 2017-10-20 (576 days ago)
Assigned
Resolved 2016-02-12 (1192 days ago)
Milestone 4.2.15
Patch No

History
2017-10-20 20:34:33 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 192e22f9892927c5f44ee86216b67655d7d6bc2c
Author: Jan Schneider <jan@horde.org>
Date:   Fri, 12 Feb 2016 13:02:32 +0100

[jan] Handle gracefully if the base event of an imported recurrence 
exception is no longer recurring (Bug #14249).

  M docs/CHANGES
  M lib/Event.php
  M package.xml

https://github.com/horde/kronolith/commit/192e22f9892927c5f44ee86216b67655d7d6bc2c
2016-02-12 12:08:49 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit e142cdcd24b3b7455db6d4544ac5b987c6655a2d
Author: Jan Schneider <jan@horde.org>
Date:   Fri Feb 12 13:02:32 2016 +0100

     [jan] Handle gracefully if the base event of an imported 
recurrence exception is no longer recurring (Bug #14249).

  kronolith/docs/CHANGES  |   16 ++++++++++++++++
  kronolith/lib/Event.php |   14 ++++++++------
  kronolith/package.xml   |   43 ++++++++++++++++++++++++++++++++++++++++++-
  3 files changed, 66 insertions(+), 7 deletions(-)

http://github.com/horde/horde/commit/e142cdcd24b3b7455db6d4544ac5b987c6655a2d
2016-02-12 12:02:55 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 4.2.15
 
2016-02-12 12:02:48 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit ab350dd26eca8741ee6424bc3af067940d63b209
Author: Jan Schneider <jan@horde.org>
Date:   Fri Feb 12 13:02:32 2016 +0100

     [jan] Handle gracefully if the base event of an imported 
recurrence exception is no longer recurring (Bug #14249).

  kronolith/docs/CHANGES  |    2 ++
  kronolith/lib/Event.php |   12 ++++++++----
  kronolith/package.xml   |    4 ++--
  3 files changed, 12 insertions(+), 6 deletions(-)

http://github.com/horde/horde/commit/ab350dd26eca8741ee6424bc3af067940d63b209
2016-02-11 08:51:17 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ catch exception of a recurring event where base event no longer is a recurring event
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Quoting my mail and Jans reply to kronolith mailinglist:
http://permalink.gmane.org/gmane.comp.horde.kronolith/7056
one of our users has tries to accept and add an event received via 
iCal invitation mail.
This action failed with the following error in Kronolith 4.2.11

call to a member function addException() on a non-object in 
/var/www/html/horde/kronolith
/lib/Event.php on line 1447, referer: https://webmail.uni-tuebingen.de
/imp/dynamic.php?page=mailbox
....
4. should Kronolith catch this error?
Yes. This may happen if we come across an exception of a recurring   
event, and can find the base event, but that base event no longer is 
a  recurring event

Saved Queries